type Args = {
    /**
     * The schema to compile. Can be a path to a file or an URL to a server supporting introspection
     */
    schema: string;
    /**
     * The path to the output file
     */
    output: string;
    /**
     * If the schema is an URL, additional headers to send
     */
    headers?: string[];
};
/**
 * Compiles the given schema file or URL and writes to the specified output file
 */
export function compile(args: Args): Promise<void>;
/**
 * Compiles a schema string directly to output TypeScript code
 */
export function compileSchemaString(schemaString: string): string;

//# sourceMappingURL=compile.d.ts.map
